summaryrefslogtreecommitdiffstats
path: root/source/n/bootp/bootp.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/bootp/bootp.SlackBuild')
-rwxr-xr-xsource/n/bootp/bootp.SlackBuild82
1 files changed, 82 insertions, 0 deletions
diff --git a/source/n/bootp/bootp.SlackBuild b/source/n/bootp/bootp.SlackBuild
new file mode 100755
index 000000000..2d12ab061
--- /dev/null
+++ b/source/n/bootp/bootp.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+VERSION=${VERSION:-2.4.3}
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-2}
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-bootp
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+# Explode the package framework:
+cd $PKG
+explodepkg $CWD/_bootp.tar.gz
+
+cd $TMP
+rm -rf bootp-$VERSION
+tar xvf $CWD/bootp_$VERSION.orig.tar.gz || exit 1
+cd bootp-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+zcat $CWD/bootp_2.4.3-15.diff.gz | patch -p1 --verbose || exit 1
+
+mkdir -p $PKG/usr/doc/bootp-$VERSION
+cp -a \
+ Announce ConvOldTab.sh Installation Problems README ToDo bootptab.cmu bootptab.mcs \
+ $PKG/usr/doc/bootp-$VERSION
+
+make $NUMJOBS || make || exit 1
+
+strip --strip-unneeded bootpd bootpef bootpgw bootptest
+for file in bootpd bootpef bootpgw bootptest ; do
+ cat $file > $PKG/usr/sbin/$file
+done
+
+gzip -9c bootptab.5 > $PKG/usr/man/man5/bootptab.5.gz
+for file in bootpd.8 bootpef.8 bootptest.8 ; do
+ gzip -9c $file > $PKG/usr/man/man8/$file.gz
+done
+( cd $PKG/usr/man/man8
+ ln -sf bootpd.8.gz bootpgw.8.gz
+)
+
+zcat $CWD/bootptab.gz > $PKG/etc/bootptab.new
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/bootp-$VERSION-$ARCH-$BUILD.txz
+